Page MenuHomeFreeBSD

vfs: denote vnode being a mount point with VIRF_MOUNTPOINT
ClosedPublic

Authored by mjg on Dec 28 2020, 3:36 AM.

Details

Summary

This simplifies lockless lookup a little bit and is part of moving storing more information in v_irflag. General idea is to avoid mount-point references if feasible.

Diff Detail

Repository
R10 FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mjg requested review of this revision.Dec 28 2020, 3:36 AM
mjg added inline comments.
sys/contrib/openzfs/module/os/freebsd/spl/spl_vfs.c
243

this will get versioned for openzfs separately

kib added inline comments.
sys/kern/vfs_cache.c
4761

!= 0

This revision is now accepted and ready to land.Dec 28 2020, 4:10 PM
This revision now requires review to proceed.Jan 1 2021, 3:31 AM
This revision was not accepted when it landed; it landed in state Needs Review.Jan 3 2021, 6:54 AM
This revision was automatically updated to reflect the committed changes.